# $Revision: 1.18 $, $Date: 2011/09/01 17:05:04 $
Summary:	Network traffic tracker
Summary(pl.UTF-8):	Narzędzie do śledzenia ruchu sieciowego
Name:		jnettop
Version:	0.13.0
Release:	4
License:	GPL
Group:		Networking/Utilities
Source0:	http://jnettop.kubs.info/dist/%{name}-%{version}.tar.gz
# Source0-md5:	9529d75011026b3fcaf185b2fb063881
URL:		http://jnettop.kubs.info/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel
BuildRequires:	libpcap-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nettop is visualising active network traffic as top does with
processes. It displays active network streams sorted by bandwidth
used. This is often usable when you want to get a fast grip of what is
going on on your outbound router.

%description -l pl.UTF-8
Nettop pokazuje aktywny ruch sieciowy podobnie jak top procesy.
Wyświetla aktywne sieciowe strumienie posortowane wg ilości użytego
pasma. Jest często używany do stwierdzenia co się dzieje na ruterach.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="-I/usr/include/ncurses"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README .jnettop
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jnettop.spec,v $
Revision 1.18  2011/09/01 17:05:04  arekm
- release 4

Revision 1.17  2010/04/03 17:20:01  glen
- release 3

Revision 1.16  2008/06/14 10:20:38  arekm
- rel 2

Revision 1.15  2007-07-29 12:37:24  gotar
- 0.13.0

Revision 1.14  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.12  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.11  2004/11/26 01:26:44  undefine
- up to 0.10.1

Revision 1.10  2004/10/03 13:36:43  paladine
- updated to 0.10

Revision 1.9  2004/01/18 23:10:14  undefine
- fix group

Revision 1.8  2003/12/06 16:15:54  undefine
- release 2 to rebuild with ac

Revision 1.7  2003/08/18 22:21:06  undefine
- update to 0.9

Revision 1.6  2003/07/22 21:11:02  blues
- cosmetics

Revision 1.5  2003/07/15 23:09:02  undefine
- release 2, stbr ra/nest/ac itepe

Revision 1.4  2003/07/15 23:01:22  undefine
- ok, ncurses detected :)

Revision 1.3  2003/06/30 08:00:07  qboosh
- removed INSTALL from doc (generic)

Revision 1.2  2003/06/28 00:17:30  undefine
- BR: pkgconfig, sorted BR

Revision 1.1  2003/06/28 00:05:13  undefine
- initial pld version
- todo: detect for ncurses.h ;)
